<!DOCTYPE HTML>
<html>

<body>
<style>

    #baguaTable th {
        text-align: center;
        font-weight: bold;
    }

    #baguaTable td {
        width: 150px;
        white-space: nowrap;
        text-align: center;
        vertical-align: bottom;
        padding-top: 5px;
        padding-bottom: 12px;
    }

    #baguaTable .nw {
        background: #999;
    }

    #baguaTable .n {
        background: #03f;
        color: #fff;
    }

    #baguaTable .ne {
        background: #ff6;
    }

    #baguaTable .w {
        background: #ff0;
    }

    #baguaTable .c {
        background: #60c;
        color: #fff;
    }

    #baguaTable .e {
        background: #09f;
        color: #fff;
    }

    #baguaTable .sw {
        background: #963;
        color: #fff;
    }

    #baguaTable .s {
        background: #f60;
        color: #fff;
    }

    #baguaTable .se {
        background: #0c3;
        color: #fff;
    }

    #baguaTable .highlight {
        background: red;
    }
</style>
<table id="baguaTable">
    <tr>
        <th colspan="3"><em>Bagua</em> Chart: Direction, Element, Color, Meaning</th>
    </tr>
    <tr>
        <td class="nw"><strong>Northwest</strong>
            <br>Metal
            <br>Silver
            <br>Elders
        </td>
        <td class="n"><strong>North</strong>
            <br>Water
            <br>Blue
            <br>Change
        </td>
        <td class="ne"><strong>Northeast</strong>
            <br>Earth
            <br>Yellow
            <br>Direction
        </td>
    </tr>
    <tr>
        <td class="w"><strong>West</strong>
            <br>Metal
            <br>Gold
            <br>Youth
        </td>
        <td class="c"><strong>Center</strong>
            <br>All
            <br>Purple
            <br>Harmony
        </td>
        <td class="e"><strong>East</strong>
            <br>Wood
            <br>Blue
            <br>Future
        </td>
    </tr>
    <tr>
        <td class="sw"><strong>Southwest</strong>
            <br>Earth
            <br>Brown
            <br>Tranquility
        </td>
        <td class="s"><strong>South</strong>
            <br>Fire
            <br>Orange
            <br>Fame
        </td>
        <td class="se"><strong>Southeast</strong>
            <br>Wood
            <br>Green
            <br>Romance
        </td>
    </tr>

</table>


<script>

    let selectedTarget;  // Target that was selected last time
    // This solution doesnt work when TD contains inner tags like <STRONG>
    // baguaTable.onclick = function (event) {
    //     if (event.target.tagName == "TD") {
    //         // Remove highlight from previously selected TD
    //         if (selectedTarget) {
    //             selectedTarget.classList.remove("highlight");
    //         }
    //
    //         event.target.classList.add("highlight");
    //         selectedTarget = event.target;
    //     }
    // }

    // In order to solve the problem we go up in DOM tree untill
    // the target is TD
   baguaTable.onclick = function (event) {
        let target = event.target;
        while (target.tagName != "TD") {
            target = event.target.parentNode;
        }
        if (selectedTarget) {
            selectedTarget.classList.remove("highlight");
        }
        target.classList.add("highlight");
        selectedTarget =  target;
    }
</script>

</body>

</html>